# eric3.VCS.subversionPackage.CopyDialog

Module implementing a dialog to enter the data for a copy operation.

### Classes

SvnCopyDialog | Class implementing a dialog to enter the data for a copy operation.

### Functions

None

## SvnCopyDialog

Class implementing a dialog to enter the data for a copy operation.

### Derived from

CopyForm

### Methods

SvnCopyDialog | Constructor
getData | Public method to retrieve the copy data.
handleTarget | Private slot to handle the button press for selecting the target via a selection dialog.

### SvnCopyDialog (Constructor)

SvnCopyDialog(source, parent = None, move = 0)

Constructor

source
  name of the source file/directory (QString)
parent
  parent widget (QWidget)
move
  flag indicating a move operation

### SvnCopyDialog.getData

getData()

Public method to retrieve the copy data.

Returns:
  the target name (QString)

### SvnCopyDialog.handleTarget

handleTarget()

Private slot to handle the button press for selecting the target via a selection dialog.

Up